//
//  MSLoginTextField.m
//  MySpaceSDKPlus
//
//  Created by Todd Krabach on 8/25/10.
//  Copyright 2010 MySpace. All rights reserved.
//

#import "MSLoginTextField.h"

@interface MSLoginTextField ()

- (void)initLoginTextField;

@end

@implementation MSLoginTextField

#pragma mark -
#pragma mark Initialization

- (id)initWithCoder:(NSCoder *)decoder {
  if (self = [super initWithCoder:decoder]) {
    [self initLoginTextField];
  }
  return self;
}

- (id)initWithFrame:(CGRect)frame {
  if (self = [super initWithFrame:frame]) {
    [self initLoginTextField];
  }
  return self;
}

- (void)initLoginTextField {
  self.autocapitalizationType = UITextAutocapitalizationTypeNone;
  self.autocorrectionType = UITextAutocorrectionTypeNo;
  self.backgroundColor = [UIColor clearColor];
  self.enablesReturnKeyAutomatically = YES;
  self.font = [UIFont fontWithName:@"Helvetica" size:22.0];
  self.opaque = NO;
  self.textEdgeInsets = UIEdgeInsetsMake(8.0, 12.0, 9.0, 12.0);
}

#pragma mark -
#pragma mark Properties

@synthesize textEdgeInsets=_textEdgeInsets;

#pragma mark -
#pragma mark View Management

- (CGRect)editingRectForBounds:(CGRect)bounds {
  return UIEdgeInsetsInsetRect(bounds, self.textEdgeInsets);
}

- (CGRect)textRectForBounds:(CGRect)bounds {
  return UIEdgeInsetsInsetRect(bounds, self.textEdgeInsets);
}

@end
